/************************************************************************************
**    SIMphoto is an aplication based on single image photogrammetry. It is useful
**    for creating and printing a photomap. The software is designed for close
**    range photogrammtery. Outputs are usable in the field of heritage preservation.
**    Copyright (C) 2009 David Cizek
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**    This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program. If not, see <http://www.gnu.org/licenses/>.
**
**    How to contact me: cizekdav@gmail.com
**
***********************************************************************************/

#ifndef NETWORKMETHODDIALOG_H
#define NETWORKMETHODDIALOG_H

#include <QtGui>
#include <eigen2/Eigen/Core>
#include <eigen2/Eigen/lu>

USING_PART_OF_NAMESPACE_EIGEN

class NetworkMethodDialog : public QDialog
{
    Q_OBJECT

public slots:
    void changeDiagonal();

public:
    NetworkMethodDialog(Matrix<double, 6, 1> DistValues, int diag, QWidget *parent = 0);
    QList<QDoubleSpinBox*> getListOfDistances();
    QPushButton* getOkButton();
    int getDiagonal();

private:
    QLabel *insertDistLabel;

    QRadioButton *bothDiagodalsRadioButton;
    QRadioButton *diagodal13RadioButton;
    QRadioButton *diagodal24RadioButton;

    QImage *networkImage;
    QImage *network13Image;
    QImage *network24Image;

    QPushButton *okButton;

    QList<QDoubleSpinBox*> listOfDistances;

    int diagonal;

};

#endif // NETWORKMETHODDIALOG_H
